This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 454182 - yum-tmprepo install/upgrade dependency failure
yum-tmprepo install/upgrade dependency failure
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-06 00:51 EDT by Tim Malnati
Modified: 2014-01-21 18:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 11:12:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Malnati 2008-07-06 00:51:14 EDT
Description of problem: Unable to install or upgrade yum-tmprepo.noarch
1.1.14-4.fc8 due to yum mainline dependency.  This module requires yum to be >=
3.2.11.  Current yum stable on fc8 is 3.2.8-2.


Version-Release number of selected component (if applicable):
yum-tmprepo-1.1.14-4.fc8.noarch

How reproducible:


Steps to Reproduce:
1. yum update yum-tmprepo
2.
3.
  
Actual results:
Error: Missing Dependency: yum >= 3.2.11 is needed by package yum-tmprepo

Expected results:
normal installation

Additional info:
Comment 1 Jan Hutař 2008-07-22 06:05:00 EDT
Hello,
I have just rebuilded yum-utils-1.1.14-4.fc8.src.rpm and this are 2 plugins 
which require yum in a higher version then the one which is available in F8 
(3.2.8-2.fc8):

yum-tmprepo-1.1.14-4.fc8.noarch.rpm
yum >= 3.2.11
yum-verify-1.1.14-4.fc8.noarch.rpm
yum >= 3.2.12
Comment 2 Tim Lauridsen 2008-07-25 04:23:26 EDT
I am aware of the issue, yum-3.2.17 will be pushed to updates-testing F8 soon,
it will solve this issue.
it is new plugins so it will not hurt anyone.
Comment 3 Jan Hutař 2008-09-09 02:24:22 EDT
This should be solved by:

https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7202

You can try to update your yum using:

su -c 'yum --enablerepo=updates-testing update yum'
Comment 4 Bug Zapper 2008-11-26 05:58:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.